Bug 118557 - RH9 cannot fdisk a new 2nd hard drive on DELL Precision M60
RH9 cannot fdisk a new 2nd hard drive on DELL Precision M60
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-17 14:10 EST by Yue-Feng Sun
Modified: 2005-10-31 17:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yue-Feng Sun 2004-03-17 14:10:08 EST
Description of problem:

the RH 9 cannot figure out the second hard drive which has been
formatted under Windows 2000. RH9 only assigned it as hdc but
/dev/hdc is not present for fdisk

Please reply also to sunyf@ldeo.columbia.edu

Version-Release number of selected component (if applicable):


How reproducible:
100% 

Steps to Reproduce:
1.
2.
3.
  
Actual results:
#fdisk /dev/hdc
hdc: driver not present
unable to open /dev/hdc

Expected results:  able to use fdisk on the hard drive
#fdisk /dev/hdc
to perform fdisk functions


Additional info:


     The second hard drive in the modular bay of my DELL Precision
     Mobil workstation M60 is not usable. It is recognized during the
boot
     as  hdc: FUJITSU MHT2040AH, ATA DISK drive

     I am running RH9 with Linux Kernel 2.4.20-13.9


The dmesg shows:
-------------------------------------------------------------
Kernel command line: ro root=LABEL=/ hdc=ide-scsi
ide_setup: hdc=ide-scsi

hda: HTS726060M9AT00, ATA DISK drive
blk: queue c03cbfa0, I/O limit 4095Mb (mask 0xffffffff)
hdc: FUJITSU MHT2040AH, ATA DISK drive
blk: queue c03cc404, I/O limit 4095Mb (mask 0xffffffff)
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
hda: attached ide-disk driver.
hda: host protected area => 1
hda: 117210240 sectors (60012 MB) w/7877KiB Cache, CHS=7296/255/63,
UDMA(100)
ide-floppy driver 0.99.newide
Partition check:
 hda: hda1 hda2 hda3 hda4 < hda5 hda6 hda7 >
 hdc:end_request: I/O error, dev 16:00 (hdc), sector 0
end_request: I/O error, dev 16:00 (hdc), sector 2
end_request: I/O error, dev 16:00 (hdc), sector 4
end_request: I/O error, dev 16:00 (hdc), sector 6
end_request: I/O error, dev 16:00 (hdc), sector 0
end_request: I/O error, dev 16:00 (hdc), sector 2
end_request: I/O error, dev 16:00 (hdc), sector 4
end_request: I/O error, dev 16:00 (hdc), sector 6
 unable to read partition table
ide-floppy driver 0.99.newide

--------------------------------------------------------------

After shutting down, there was a message like:

flusing devices hda, hdc
Comment 1 Dave Jones 2004-03-18 08:49:08 EST
you could start by trying the latest errata kernel.
Comment 2 Bugzilla owner 2004-09-30 11:41:51 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.